Summary:   A fast, lightweight distributed source control management system
Summary(de): Ein schnelles und leichtgewichtiges Quellkodeverwaltungssystem
Name:      mercurial
Version:   6.4
Release:   %mkrel 1
License:   GPLv2+
Group:     Development/Other
URL:       https://mercurial-scm.org/
Source0:   https://mercurial-scm.org/release/%{name}-%{version}.tar.xz

BuildRequires: asciidoc
BuildRequires: python3-devel
BuildRequires: python3-docutils

Provides: hg = %{version}-%{release}

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed
projects.

%description -l de
Mercurial ist ein schnelles, leichtgewichtiges Quellkodeverwaltungssystem, mit dem Ziel der
effizienten Handhabung von sehr großen verteilten Projekten.
Haupteigenschaften sind:

* delta-komprimierte Datei Speicherung und Retrieval-System 
* Vollständige Kreuz-Indizierung von Datei-und changesets für eine effiziente exploration Geschichte des Projekts 
* Robuste SHA1-Integritätsprüfung und append-only Lagerung Modell 
* Dezentrale Entwicklung Modell mit beliebigen Verschmelzung zwischen Verzeichnisse 
* High-Speed-HTTP-basierten Netzwerk-Protokoll Fusionierung 
* Easy-to-use Befehlszeilen-Schnittstelle 
* Integrierter Stand-Alone Web-Interface 
* Kleine Python-Codebasis 

%prep
%setup -q

# 'fix' shebangs
sed -i -e '1s@#!/usr/bin.*python[2,3]\?@#!%{__python3}@' $(grep -r -l '#!/usr/bin.*python')

%build
HGPYTHON3=1 %py3_build
PYTHON=%{__python3} %make_build doc

%install
HGPYTHON3=1 %py3_install

make install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

install contrib/hg-ssh       $RPM_BUILD_ROOT%{_bindir}

bash_completion_dir=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
mkdir -p $bash_completion_dir
install -m 644 contrib/bash_completion $bash_completion_dir/mercurial.sh

zsh_completion_dir=$RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
mkdir -p $zsh_completion_dir
install -m 644 contrib/zsh_completion $zsh_completion_dir/_mercurial

lisp_dir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mkdir -p $lisp_dir
install -m 644 contrib/mercurial.el $lisp_dir
install -m 644 contrib/mq.el $lisp_dir

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d


%files
%{_mandir}/man*/*
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%{_sysconfdir}/bash_completion.d/mercurial.sh
%{_datadir}/zsh/site-functions/_mercurial
%{_datadir}/emacs/site-lisp/*.el
%{_bindir}/hg
%{_bindir}/hg-ssh
%{python3_sitearch}/mercurial
%{python3_sitearch}/mercurial*.egg-info
%{python3_sitearch}/hgdemandimport
%{python3_sitearch}/hgext
%{python3_sitearch}/hgext3rd
/usr/share/bash-completion/completions/hg
/usr/share/zsh/site-functions/_hg

%changelog
* Wed Mar 29 2023 tex - 6.4-1pclos2023
- new version

* Tue Aug 02 2022 tex - 5.7.1-2pclos2022
- rebuild against updates

* Wed Sep 08 2021 tex - 5.7.1-1pclos2021
- new version

* Tue Aug 18 2020 tex - 5.5-1pclos2020
- new version

* Sat Jul 04 2020 ghostbunny <ghostbunny at gmx dot de> 5.4.2-1pclos2020
- 5.4.2

* Thu Jun 04 2020 ghostbunny <ghostbunny at gmx dot de> 5.4-1pclos2020
- 5.4

* Tue Jan 07 2020 tex - 5.2.2-1pclos2020
- new version: 5.2.2

* Fri Oct 11 2013 ghostbunny <ghostbunny at gmx dot de> 2.7.2-1pclos2013
- 2.7.2
